Results 1 to 4 of 4
  1.    #1  
    I bought a used Sprint Treo 300 which generally works OK, but whenever I try to run any of the internet-related apps (Blazer, Mail, etc), I get a Fatal Exception. I am running PalmOS 3.5.2H6.3. I see that Blazer is in ROM, so I suspect the only way to reload it is to reload the whole Palm OS (I am assuming that the ROM in question is flash...)

    Can anyone enlighten me on how to get this beastie working correctly?

    Thanks

    Justin Harlow
  2. jaak3's Avatar
    Posts
    65 Posts
    Global Posts
    68 Global Posts
    #2  
    Just a couple things to check...

    1) Have you done a hard reset? (That is, do a normal reset while holding down the power button and press the Up button to clear all memory when it asks you).

    Don't HotSync. See if it crashes with nothing loaded and the memory completely clear.

    2) If you migrated from another Palm (or if the above worked), check your Backup directory to see if you are perhaps loading an incompatible program or something.

    3) If, perhaps, the Flash ROM is corrupt (like maybe the previous owner did some ROM hacking), you can download the 1.2 updater from Sprint or from PalmOne (except they call it 1.0.1, but it's the same thing). If you reflash your ROM, it'll reset your PRL to an older version so you should call Sprint to update your PRL afterwards.

    4) Lastly, there could be a provisioning error by Sprint. You'll have to call them to get it fixed.
  3.    #3  
    Will the hard reset clobber files, apps, etc. that I have loaded? What's a PRL?

    I checked the OS version, and according to PalmOne, I have already installed the latest updater.

    I did migrate from an older Palm, a Kyocera QCP6035. How does one identify things that might be incompatible?

    Thanks

    JEH
  4. jaak3's Avatar
    Posts
    65 Posts
    Global Posts
    68 Global Posts
    #4  
    Quote Originally Posted by harlow
    Will the hard reset clobber files, apps, etc. that I have loaded? What's a PRL?

    I checked the OS version, and according to PalmOne, I have already installed the latest updater.

    I did migrate from an older Palm, a Kyocera QCP6035. How does one identify things that might be incompatible?

    Thanks

    JEH
    Yes, it will erase everything (you need to verify your Treo is fully functional and not malfunctioning because of some software that you've installed). A PRL is the Preferred Roaming List, it tells the phone what cell towers to use and in what order to use them if there is more than one available (the PRL included in the ROM update is now a few years old).

    Ok, but since you migrated it sounds like software you've loaded is the problem. You'll have to remove all your programs and add them back one at a time. A place to start would be Kyocera specific programs.

Posting Permissions